Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class StatisticsReporter

    java.lang.Object
      com.saxonica.validate.StatisticsReporter

All Implemented Interfaces:
  ValidationStatisticsRecipient

    public class StatisticsReporter

extends Object
implements ValidationStatisticsRecipient

Generates statistics relating to a validation episode

Constructor Summary
`StatisticsReporter(Receiver receiver)` Create a StatisticsReporter and set a Receiver to receive an XML report of the statistics that have been collected

Method Summary
`void` | `notifyValidationStatistics(Map<SchemaComponent,Integer> statistics)` Notify the validation statistics

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsReporter

    public StatisticsReporter(Receiver receiver)

  Create a StatisticsReporter and set a Receiver to receive an XML report of the statistics that have been collected

  Parameters:
    `receiver` - the receiver to which the XML report will be sent

Method Detail

### notifyValidationStatistics

    public void notifyValidationStatistics(Map<SchemaComponent,Integer> statistics)
                                    throws XPathException

  Notify the validation statistics

  Specified by:
    `notifyValidationStatistics` in interface `ValidationStatisticsRecipient`
  Parameters:
    `statistics` - the statistics, in the form of a map from schema components (currently, element declarations and schema types) to a count of how often the component was used during the validation episode
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.